Bug 122035 - AS2.1 Update 2 - Apache Aborts when handled exception thrown in shared module
AS2.1 Update 2 - Apache Aborts when handled exception thrown in shared module
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: apache (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 16:51 EDT by Mike Slominski
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-10 15:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A module that will reproduce the problem (50.00 KB, application/octet-stream)
2004-04-29 16:56 EDT, Mike Slominski
no flags Details

  None (edit)
Description Mike Slominski 2004-04-29 16:51:44 EDT
From Bugzilla Helper:
User-Agent: Opera/7.23 (Windows NT 5.1; U)  [en]

Description of problem:
We have an Apache module written in C++ that runs without problems on 
AS2.1u1 but does not run correctly on AS2.1u2: it causes Apache to 
abort.   After investigating the problem it looks like the abort 
occurs any time our module throws an exception  - even if the 
exception is thrown within a try/catch block that catches the 
exception.  If fact, a trivial test module was created that does 
nothing but throw an exception within a try/catch block and this test 
module also causes Apache to abort.  A stack trace shows the abort 
happening in the stdc++ function "throw_helper".  We are using the 
standard AS2.1u2 versions of everything as installed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a module that throws an exception within a try/catch block 
in its' handler function.

2. configure apache to load and run the handler in response to a 

3. Use a browser or wget to exercise the module's handler


Actual Results:  Apache should abort when the program hits the throw 
in the the handler

Expected Results:  The throw should be caught.

Additional info:

We have a small test module that we can provide. It contains the 
module, an apache config file, a Makefile, and a shell script that 
will run the test.
Comment 1 Mike Slominski 2004-04-29 16:56:05 EDT
Created attachment 99804 [details]
A module that will reproduce the problem
Comment 2 Joe Orton 2004-05-08 10:02:27 EDT
Hi, we can't seem to reproduce this using your test case on a RHEL2.1
AS Update 4 system.

# rpm -q apache libstdc++ gcc-c++

Is this still reproducible for you on a U4 system?

Note You need to log in before you can comment on or make changes to this bug.